Foreman - Bug #10566

Unique interface identifier requirement prevents host from being edited if duplicate identifier exists
05/20/2015 04:57 PM - Patrick Mulrooney
Category: Network
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.8.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2427
Description
Related to #9618.

Before the unique interface identifier validation was introduced we managed to get several hosts with multiple interfaces with the
same identifier. Now that we have upgrade to 1.8+ when we attempt to resolve this situation by deleting the duplicate identifiers we
are unable to due to the new validation.

This seems like something the validator should check for as it creates a loop. You are unable to resolve the uniqueness requirement,
because your interfaces are not unique.

Related issues:

Related to Foreman - Bug #9618: User shouldn't be allowed to create an interf... Closed 03/03/2015
Related to Foreman - Bug #11247: IP address is invalid, can't add or remove "... Resolved 07/29/2015
Related to Foreman - Bug #16935: updating a NIC's "Device identifier" if it d... Closed 10/14/2016

Associated revisions

Revision a6b8542a - 06/04/2015 01:37 PM - Marek Hulan

Fixes #10566 - allow identifier modifications that do not change interface type

Revision f967d733 - 06/15/2015 10:08 AM - Marek Hulan

Fixes #10566 - allow identifier modifications that do not change interface type

(cherry picked from commit a6b8542a0e1a7eb0d71fdd1d328b224669e3010b)

History

#1 - 05/20/2015 04:59 PM - Patrick Mulrooney

To reproduce...

1. Setup foreman such that a host has multiple interfaces with same identifier
1.5. | believe this can be done in versions prior to 1.8+

2. Upgrade to 1.8+

3. Attempt to remove one of the inter faces from the host.

#2 - 05/21/2015 03:37 AM - Dominic Cleal

- Related to Bug #9618: User shouldn't be allowed to create an interface with same identifier of any existing one added

#3 - 05/21/2015 03:37 AM - Dominic Cleal

- translation missing: en.field_release set to 56
#4 - 06/02/2015 01:40 PM - Rubén Fernandez

I'm fancing the same issue from fresh installation v1.8.1
| can't modify anything from that host because one interface is duplicated, but it not possible delete any of the duplicate entry.
#5 - 06/03/2015 08:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2427 added
- Pull request deleted ()

#6 - 06/03/2015 08:32 AM - Marek Hulan

- Assignee set to Marek Hulan

#7 - 06/04/2015 02:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a6b8542a0e1a7eb0d71fdd1d328b224669e3010b.

#8 - 07/29/2015 09:30 AM - Dominic Cleal

- Related to Bug #11247: IP address is invalid, can't add or remove "." from identifier added

#9 - 10/14/2016 10:03 AM - Dominic Cleal

- Related to Bug #16935: updating a NIC's "Device identifier" if it doesn't already have one fails if the "Device identifier" includes a . or : added
